Author Topic: libreoffice trimmed down  (Read 1099 times)

mhe

  • Guest
libreoffice trimmed down
« on: Mon Mar 16 08:25:21 2015 »
Does anyone know what dependencies are really optional for libreoffice?

I would like to build libreoffice without gtk3 and python3.
Is it just leaving out --enable-python=system so libreoffice will use its own python3 binaries?
For gtk3 I see no reason it is needed, there is not even an option --disable-gtk3 only enable and this one is not used in the Pkgfile.

Perhaps someone could list the optional stuff. Thanks!

mhe

  • Guest
Re: libreoffice trimmed down
« Reply #1 on: Tue Mar 17 19:38:52 2015 »
I added all dependencies, except python3 and gtk3.
I noticed the Pkgfile is incorrect for use with pkgutils.

Example:
tar -xf $name-$version.tar.xz --no-overwrite-dir
should be
tar -xf $PKGMK_SOURCE_DIR/$name-$version.tar.xz --no-overwrite-dir

and
ln -sv $SRC/$name-dictionaries-$version.tar.xz  external/tarballs/
should be
ln -sv $PKGMK_SOURCE_DIR/$name-dictionaries-$version.tar.xz  external/tarballs/

dirkme

  • Newbie
  • *
  • Posts: 9
  • Karma: +1/-0
Re: libreoffice trimmed down
« Reply #2 on: Tue Apr 11 23:19:38 2017 »
That sounds like a nice project, please don't give up and keep going.

I am just beginning with NuTyX and sadly, can't help.